%bcond_without check

# comment out if not git snapshot
#global git	18-5144

%if 0%{?git:1}
%global gitv	%(echo %git | cut -d- -f1)
%global gitr	%(echo %git | cut -d- -f2)
%endif

%global rel	5

Name:		autoconf
Summary:	A GNU tool for automatically configuring source code
Epoch:		2
Version:	2.71%{?git:.%gitv}
Release:	%mkrel %{?git:%gitr.}%{rel}
License:	GPLv2+ with exceptions
Group:		Development/Other
URL:		https://www.gnu.org/software/autoconf/
BuildArch:	noarch
Source0:	https://ftpmirror.gnu.org/gnu/autoconf/autoconf-%{version}%{?git:-%gitr}.tar.xz
Source1:	gettarball.sh
Source2:	autoconf-site-start.el

# Upstream patches from master branch
Patch1:		0001-Port-to-GNU-make-4.4.patch

# Mageia patches
Patch0501:	0001-Change-default-runstatedir-location-to-run.patch

# From upstream patches ML
# https://lists.gnu.org/archive/html/autoconf-patches/
#
# From https://lists.gnu.org/archive/html/autoconf/2022-09/msg00015.html
# and https://lists.gnu.org/archive/html/bug-autoconf/2022-09/msg00010.html
# and https://git.savannah.gnu.org/cgit/autoconf.git/commit/?id=412166e185c00d6eacbe67dfcb0326f622ec4020
# Patch imported from FC.
Patch600:	0001-Fix-testsuite-failures-with-bash-5.2.patch

BuildRequires:	git-core
BuildRequires:	texinfo
BuildRequires:	m4
BuildRequires:	help2man
Requires:	m4
Requires:	mktemp
# autoreconf: running: autopoint --force
# Can't exec "autopoint": No such file or directory at
# /usr/share/autoconf/Autom4te/FileUtils.pm line 345.
Requires:	autopoint
# autoreconf: running: gtkdocize --copy
# Can't exec "gtkdocize": No such file or directory at
# /usr/share/autoconf/Autom4te/FileUtils.pm line 292, <GEN3> line 6.
Requires:	gtk-doc
Provides:	autoconf2.5 = %{epoch}:%{version}-%{release}
Conflicts:	autoconf2.1 < 1:2.13-26

# for tests
%if %{with check}
BuildRequires:	bison
BuildRequires:	erlang
BuildRequires:	flex
BuildRequires:	gcc-gfortran
%endif

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to
specify various configuration options.

You should install Autoconf if you are developing software and you'd
like to use it to create shell scripts which will configure your
source code packages. If you are installing Autoconf, you will also
need to install the GNU m4 package.

Note that the Autoconf package is not required for the end user who
may be configuring software with an Autoconf-generated script;
Autoconf is only required for the generation of the scripts, not
their use.

%prep
%autosetup -n autoconf-%{version}%{?git:-%gitr} -S git_am

%build
%configure
%make_build

%install
%make_install

# We don't want to include the standards.info stuff in the package,
# because it comes from binutils...
rm -f $RPM_BUILD_ROOT%{_infodir}/standards*

# emacs stuff
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/%{name}.el

# if emacs-bin was not here, *.el and *.elc files will be missing - install *.el files anyway
if [ ! -d $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp ]; then
	mkdir -p $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp
	install -m644 lib/emacs/*.el $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp
fi

%if %{with check}
%check
PATH=$(pwd)/tests:$PATH
autoreconf -vfi
make distclean
%configure
make check
%endif

%files
%doc AUTHORS BUGS COPYING INSTALL NEWS README THANKS TODO
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*.el
%{_bindir}/*
%{_datadir}/autoconf
%{_datadir}/emacs/site-lisp/*.el*
%{_infodir}/*
%{_mandir}/*/*


%changelog
* Tue Dec 06 2022 wally <wally> 2:2.71-5.mga9
+ Revision: 1918646
- add make 4.4 patch from usptream

* Thu Nov 17 2022 ghibo <ghibo> 2:2.71-4.mga9
+ Revision: 1908567
- Rebuild in a fresh upgraded system to fix build failing

* Thu Oct 27 2022 ghibo <ghibo> 2:2.71-3.mga9
+ Revision: 1899873
- Add Patch600 to fix building tests

* Sun May 02 2021 wally <wally> 2:2.71-2.mga9
+ Revision: 1720934
- switch gettext-devel requires to autopoint

* Thu Feb 25 2021 wally <wally> 2:2.71-1.mga9
+ Revision: 1690992
- new version 2.71

* Sat Jan 09 2021 wally <wally> 2:2.70-4.mga8
+ Revision: 1669987
- update patches from upstream branch-2.70 branch

* Sat Dec 26 2020 wally <wally> 2:2.70-3.mga8
+ Revision: 1663917
- add upstream patch to restore compatibility with older std-gnu11.m4

* Thu Dec 24 2020 wally <wally> 2:2.70-2.mga8
+ Revision: 1663323
- add fixes from upstream 2.70 branch

* Wed Dec 09 2020 wally <wally> 2:2.70-1.mga8
+ Revision: 1654969
- new version 2.70

* Tue Dec 08 2020 wally <wally> 2:2.69e.18-5144.1.mga8
+ Revision: 1654726
- new snapshot 2.69e.18-5144

* Sat Dec 05 2020 wally <wally> 2:2.69e-1.mga8
+ Revision: 1652874
- new version 2.69e

* Tue Nov 17 2020 wally <wally> 2:2.69d.17-3b8f.1.mga8
+ Revision: 1646935
- new git snapshot 2.69d.17-3b8f

* Tue Nov 10 2020 wally <wally> 2:2.69d.11-1725c.1.mga8
+ Revision: 1644273
- new git snapshot 2.69d.11-1725c

* Thu Nov 05 2020 wally <wally> 2:2.69d.2-c8b3f.1.mga8
+ Revision: 1642828
- update to latest git snapshot 2.69d.2-c8b3f to fix AC_FUNC_STRERROR_R breakage
- drop upstreamed AC_REQUIRE_AUX_FILE patch

* Tue Nov 03 2020 wally <wally> 2:2.69d-2.mga8
+ Revision: 1642463
- add patch to fix autoreconf error with AC_REQUIRE_AUX_FILE macro

* Tue Nov 03 2020 wally <wally> 2:2.69d-1.mga8
+ Revision: 1642432
- new version 2.69d

* Tue Nov 03 2020 wally <wally> 2:2.69c.21-15ada.1.mga8
+ Revision: 1642323
- new git snapshot 2.69c.21-15ada
- drop AC_CHECK_LIB patch (fixed different way in upstream)

* Sun Nov 01 2020 wally <wally> 2:2.69c.13-5147.2.mga8
+ Revision: 1641136
- add patch to fix build failures when checking lib availability with function main()

* Fri Oct 30 2020 wally <wally> 2:2.69c.13-5147.1.mga8
+ Revision: 1640716
- new git snapshot 2.69c.13-5147

* Sat Oct 24 2020 wally <wally> 2:2.69c.9-2a94d.1.mga8
+ Revision: 1639075
- update to latest git snapshot 2.69c.9-2a94d

* Sun Jul 26 2020 daviddavid <daviddavid> 1:2.69.221-d0ac.5.mga8
+ Revision: 1609074
- add missing dependency on gtk-doc
  * autoreconf: running: gtkdocize --copy
    Can't exec "gtkdocize": No such file or directory at
    /usr/share/autoconf/Autom4te/FileUtils.pm line 292, <GEN3> line 6

* Wed Jul 22 2020 wally <wally> 1:2.69.221-d0ac.4.mga8
+ Revision: 1607888
- stop reverting upstream change to port AC_CHECK_DECL and AC_CHECK_DECLS to Clang

* Sat Jul 04 2020 wally <wally> 1:2.69.221-d0ac.3.mga8
+ Revision: 1601887
- revert reverting upstream change (fix in libreoffice instead)

* Sat Jul 04 2020 wally <wally> 1:2.69.221-d0ac.2.mga8
+ Revision: 1601883
- remove AC_DEFINE_UNQUOTED fix causing test failures
- revert upstream change causing weird build issues (with libreoffice for example)

* Sat Jul 04 2020 wally <wally> 1:2.69.221-d0ac.1.mga8
+ Revision: 1601810
- new version 2.69.221-d0ac
- drop unneeded patches
- update patches from autoconf-patches ML
- update check section

* Thu Jul 02 2020 wally <wally> 1:2.69.220-ff47.1.mga8
+ Revision: 1601461
- update to 2.69.220-ff47

* Sat Jun 27 2020 wally <wally> 1:2.69.209-8a09.5.mga8
+ Revision: 1599501
- add patches from upstream patches ML to integrate intltoolize and gtkdocize better to autoconf
- update BRs for tests

* Sat Jun 27 2020 wally <wally> 1:2.69.209-8a09.4.mga8
+ Revision: 1599462
- add patches from upstream patches ML
- revert upstream changes causing build failures

* Fri Jun 12 2020 wally <wally> 1:2.69.209-8a09.3.mga8
+ Revision: 1592956
- remove dirty from version output

* Sun May 24 2020 wally <wally> 1:2.69.209-8a09.2.mga8
+ Revision: 1587349
- revert upstream change to fix GNU libc compatible malloc detection

* Fri May 22 2020 wally <wally> 1:2.69.209-8a09.1.mga8
+ Revision: 1586859
- update to pre 2.70 git snapshot (maybe upstream releases 2.70 within the next 10 years)

* Sat Apr 11 2020 wally <wally> 1:2.69-15.mga8
+ Revision: 1566348
- add patch to change --runstatedir default value to /run
- require gettext-devel for autopoint cmd used with autoreconf

* Wed Mar 25 2020 wally <wally> 1:2.69-14.mga8
+ Revision: 1560429
- add Fedora patch to fix tests with bash 5
- drop old obsoletes
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Fri Feb 15 2019 wally <wally> 1:2.69-13.mga7
+ Revision: 1367372
- backport upstream change to add --runstatedir option to configure

* Fri Sep 21 2018 umeabot <umeabot> 1:2.69-12.mga7
+ Revision: 1295169
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 1:2.69-11.mga7
+ Revision: 1256467
- rely on filetriggers for info system (mga#23482)

* Tue Jul 10 2018 wally <wally> 1:2.69-10.mga7
+ Revision: 1242914
- autoreconf: Support AM_GNU_GETTEXT_REQUIRE_VERSION

* Mon Sep 04 2017 cjw <cjw> 1:2.69-9.mga7
+ Revision: 1151171
- patch4: fix autoheader for perl 5.26

* Sat Jan 16 2016 wally <wally> 1:2.69-8.mga6
+ Revision: 924258
- add patches from upstream to fix failing test with recent libtool

* Thu Sep 03 2015 cjw <cjw> 1:2.69-7.mga6
+ Revision: 872462
- patch3: fix warning in autoscan perl script that caused a test to fail

* Wed Oct 15 2014 umeabot <umeabot> 1:2.69-6.mga5
+ Revision: 742094
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.69-5.mga5
+ Revision: 678053
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:2.69-4.mga4
+ Revision: 532206
- Mageia 4 Mass Rebuild

* Sat Aug 17 2013 fwang <fwang> 1:2.69-3.mga4
+ Revision: 467316
- use debian patch to fix build with latest texinfo

* Fri Jan 11 2013 umeabot <umeabot> 1:2.69-2.mga3
+ Revision: 346621
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 03 2012 fwang <fwang> 1:2.69-1.mga3
+ Revision: 253751
- new version 2.69

* Sat Jan 08 2011 blino <blino> 1:2.68-1.mga1
+ Revision: 768
- imported package autoconf


* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 1:2.68-1mdv2011.0
+ Revision: 580689
- new version 2.68

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 1:2.67-1mdv2011.0
+ Revision: 565627
- New version 2.67

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 1:2.66-2mdv2011.0
+ Revision: 550604
- add upstream patch to fix regression on AC_CHECK_SIZEOF

* Sun Jul 11 2010 Funda Wang <fwang@mandriva.org> 1:2.66-1mdv2011.0
+ Revision: 550566
- new version 2.66

* Fri Dec 04 2009 Funda Wang <fwang@mandriva.org> 1:2.65-1mdv2010.1
+ Revision: 473236
- new version 2.65

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 1:2.64-3mdv2010.0
+ Revision: 454722
- do not package huge ChangeLogs

* Sun Aug 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:2.64-2mdv2010.0
+ Revision: 422469
- drop failing parallel test
- fix hard failure test

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Funda Wang <fwang@mandriva.org>
    - New version 2.64

* Fri Sep 12 2008 Funda Wang <fwang@mandriva.org> 1:2.63-1mdv2009.0
+ Revision: 284016
- New version 2.63

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1:2.62-3mdv2009.0
+ Revision: 264324
- rebuild early 2009.0 package (before pixel changes)

* Sat Apr 19 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1:2.62-2mdv2009.0
+ Revision: 195751
- parallel build works now, so let's reenable it!
- make oden a happy camper (aka fix bug with multine variables that br0ke build of mysql, php etc., P0)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:2.62-1mdv2009.0
+ Revision: 194448
- new version

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1:2.61-7mdv2008.1
+ Revision: 148881
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 21 2007 Pixel <pixel@mandriva.com> 1:2.61-6mdv2008.0
+ Revision: 91811
- conflict on autoconf2.1 must include its epoch

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 1:2.61-5mdv2008.0
+ Revision: 69351
- kill file require on info-install

* Wed Jun 20 2007 Anssi Hannula <anssi@mandriva.org> 1:2.61-4mdv2008.0
+ Revision: 41869
- add conflict with old autoconf2.1 to ensure smooth upgrade

* Thu Jun 14 2007 Christiaan Welvaart <spturtle@mandriva.org> 1:2.61-3mdv2008.0
+ Revision: 39545
- rename to autoconf
- drop wrapper script
- rename autoconf2.5 to autoconf

  + David Walluck <walluck@mandriva.org>
    - include other documentation in addition to just README in %%doc
    - move make check to %%check

