#!/bin/sh
# script to generate tarball
which makeinfo > /dev/null 2>&1
if [ $? -gt 0 ]; then
  echo "No makeinfo found. Install texinfo"
  exit 1
fi
set -e
giturl='git://git.savannah.gnu.org/autoconf.git'
cwd=$(pwd)
tmpdir=$(mktemp -d)
if [ -n "$1" ]
then
    version="$1"
else
    version='master'
fi
cd $tmpdir
git clone "$giturl"
cd autoconf
git checkout $version
echo $(./build-aux/git-version-gen .tarball-version) > .tarball-version
mkdir -p m4
#autoreconf -vfi
./bootstrap
./configure
make dist
for file in *.tar.xz
do
    if [ -e "$cwd/$file" ]
    then
        echo "File already exists, backing up the old one as $cwd/$file.bak" >&2
        mv -f "$cwd/$file" "$cwd/$file.bak"
    fi
    mv "$file" "$cwd/$file"
    echo "----> $file"
done
cd "$cwd"
rm -Rf "$tmpdir"
